namespace Quadarax.Foundation.Core.Value.Extensions
{
    public static class ArrayExt
    {
        public static int IndexOf<TValue>(this TValue[] owner,TValue findValue, int startIndex, int endIndex)
        {
            for(int i = startIndex; i < endIndex; i++)
                if (Equals(owner[i], findValue))
                    return i;
            return -1;
        }
    }
}
